Subject: Re: [MEXT] [RFC3775 changes] BRR, BErr are sent by HA too, not only by CN

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 13 Mar 2008 10:47:25 -0700

Hello,

I am responding to the original email since a lot of threads
diverged from this one. We need to first separate the binding
refresh and binding error messages. This email is about the
HA sending binding error messages.

RFC 3775 already supports the HA sending Binding Error with
status '2'.

Section 9.2 (CN considerations section) says

    o  The MH Type field MUST have a known value (Section 6.1.1).
       Otherwise, the node MUST discard the message and issue a Binding
       Error message as described in Section 9.3.3, with Status field set
       to 2 (unrecognized MH Type value).

Section 10.2 (HA considerations section) says

    All IPv6 home agents MUST observe the rules described in Section 9.2
    when processing Mobility Headers.

So I think we should make the change Alex has suggested for
the Binding Error message at
http://www.ietf.org/mail-archive/web/mext/current/msg00374.html

There is still an issue about whether the home agent is also
allowed to send the Binding Error message with status '1'. This
is not clear in RFC 3775. From what I remember, this was
designed mainly for the CN to tell the MN that there is no
binding cache entry if the MN sends a packet with the home
address option to the CN thinking it already has a binding at
the CN. IMO, the home agent has no use for this. In fact RFC
3775 already says packets received with home address option
without a corresponding binding cache entry should be silently
dropped unless the packet contains a binding update. This was
pointed out by Ahmad in
http://www.ietf.org/mail-archive/web/mext/current/msg00495.html

The home agent sending a binding refresh request should be
treated as a separate issue.

Vijay

Alexandru Petrescu wrote:
> Section 4, subsection 4.2, 5th and 6th paragraphs.
> 
> OLD TEXT:
>>    Binding Refresh Request
>>
>>       A Binding Refresh Request is used by a correspondent node to
>>       request a mobile node to re-establish its binding with the
>>       correspondent node.  This message is typically used when the
>>       cached binding is in active use but the binding's lifetime is
>>       close to expiration.  The correspondent node may use, for
>>       instance, recent traffic and open transport layer connections as
>>       an indication of active use.
>>
>>    Binding Error
>>
>>       The Binding Error is used by the correspondent node to signal an
>>       error related to mobility, such as an inappropriate attempt to use
>>       the Home Address destination option without an existing binding.
> 
> NEW TEXT:
>>    Binding Refresh Request
>>
>>       A Binding Refresh Request is used by a correspondent node or the 
>> home agent to
>>       request a mobile node to re-establish its binding with the
>>       correspondent node.  This message is typically used when the
>>       cached binding is in active use but the binding's lifetime is
>>       close to expiration.  The correspondent node or the home agent 
>> may use, for
>>       instance, recent traffic and open transport layer connections as
>>       an indication of active use.
>>
>>    Binding Error
>>
>>       The Binding Error is used by the correspondent node or the home 
>> agent to signal an
>>       error related to mobility, such as an inappropriate attempt to use
>>       the Home Address destination option without an existing binding.
>>
> 
> Even though RFC3775 states at some point that a CN can be a HA, it is 
> unclear when implementing whether a HA should implement sending BRR or 
> BErr to the MN or not.  Some people have implemented this as yes, HA 
> should send BErr and BRR to MN.  This has been discussed in the past on 
> the mip6 mailing list.  Note that the disambiguation proposed above may 
> be needed in some other parts of the document as well.
> 
> Alex
> 
> 
> ______________________________________________________________________
> This email has been scanned by the MessageLabs Email Security System.
> For more information please visit http://www.messagelabs.com/email 
> ______________________________________________________________________
> 
> _______________________________________________
> MEXT mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mext

_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext

---

From: Brian Haley <[email-masked]>
Date: Thu, 13 Mar 2008 16:11:53 -0400

Hi Vijay,

> http://www.ietf.org/mail-archive/web/mext/current/msg00374.html

I'm fine with this, but I had pointed-out a typo in Alex's text that 
still restricted its usage to the CN, this was my update:

     Binding Refresh Request

        A Binding Refresh Request is used by a correspondent node or home
        agent to request a mobile node to re-establish its binding with
        it.  This message is typically used when the cached binding is in
        active use but the binding's lifetime is close to expiration
        The correspondent node or the home agent may use, for instance,
        recent traffic and open transport layer connections as an
        indication of active use.

-Brian

---

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 13 Mar 2008 15:07:39 -0700

Hi Brian,

I don't think the home agent should be sending binding refresh
requests. Lets have a separate thread on that. The text change
you had proposed in response to Alex'e email was about the
binding refresh request message.

I had suggested accepting the text changes Alex had proposed
for the Binding Error message.

Vijay

---

From: Brian Haley <[email-masked]>
Date: Thu, 13 Mar 2008 21:16:10 -0400

Hi Vijay,

You're right, I hit send too quickly, but I did have an additional 
change for the Binding Error text.  This is the text Alex proposed:

    Binding Error

       The Binding Error is used by the correspondent node or the home
       agent to signal an error related to mobility, such as an
       inappropriate attempt to use the Home Address destination option
       without an existing binding.

I would change this last sentence to say:

       without an existing binding, or when an unrecognized Mobility
       Header is received.

That would make sure to cover any wording introduced in RFC 5142 (HA 
Switch) since it also mentions the HA sending a Binding Error.

Thanks,

-Brian

---

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 14 Mar 2008 03:00:36 +0100

>       without an existing binding, or when an unrecognized Mobility

I agree, at least one goal for HA to send the BErr is when the HA 
received and MH which it doesn't understand.  Like "when an unrecognized 
Mobility Header Type is received (section 9.2 second bullet)".  This is 
what I implemented.

As for HA sending BErr when there's no BC entry for the HoA in a DO, it 
may be worth implementing at HA (in addition to CN), or I can live without.

Alex

---

From: Julien Laganier <[email-masked]>
Date: Tue, 18 Mar 2008 14:13:24 +0100

Folks,

We need to wrap up this thread. As of now it seems we have consensus on 
modifying the description of Binding **Error** as below (We are not 
talking about Binding **Refresh Request**, I will start another thread 
for that one.) 

Please let us know if you think this is a wrong interpretation of the 
discussion that happened so far.

-- julien & marcelo, MEXT chairs

-------------------------------------------------------------------------
Section 4, subsection 4.2, 6th paragraphs.

OLD TEXT: 

Binding Error

NEW TEXT: 
 
   Binding Error

-------------------------------------------------------------------------

On Friday 14 March 2008, Alexandru Petrescu wrote:
> >       The Binding Error is used by the correspondent node or the
> > home agent to signal an error related to mobility, such as an
> received and MH which it doesn't understand.  Like "when an
> unrecognized Mobility Header Type is received (section 9.2 second
> bullet)".  This is what I implemented.
>
> As for HA sending BErr when there's no BC entry for the HoA in a DO,
> it may be worth implementing at HA (in addition to CN), or I can live
> without.
>
> Alex
>
> > That would make sure to cover any wording introduced in RFC 5142
> > (HA Switch) since it also mentions the HA sending a Binding Error.
> >
> > Thanks,
> >
> > -Brian
> >
> > Vijay Devarapalli wrote:
> >> Hi Brian,
> >>
> >>>>     o  The MH Type field MUST have a known value (Section
> >>>> 6.1.1). Otherwise, the node MUST discard the message and issue a
> >>>> Binding Error message as described in Section 9.3.3, with Status
> >>>> field set
> >>> I'm fine with this, but I had pointed-out a typo in Alex's text
> >>> that still restricted its usage to the CN, this was my update:
> >>>
> >>>     Binding Refresh Request
> >>>
> >>>        A Binding Refresh Request is used by a correspondent node
> >>> or home agent to request a mobile node to re-establish its
> >>> binding with it.  This message is typically used when the cached
> >>> binding is in active use but the binding's lifetime is close to
> >>> expiration The correspondent node or the home agent may use, for
> _____________________________________________________________________
>_ This email has been scanned by the MessageLabs Email Security
> System. For more information please visit
> http://www.messagelabs.com/email
> _____________________________________________________________________
>_ _______________________________________________
> MEXT mailing list
> [email-masked]

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 18 Mar 2008 15:05:59 +0100

> discussion that happened so far.

REsolution below sounds good to me.

Alex